myapps:
  message:
    send: "-"
  signature:
    #是否开启签章业务  true 为开启  false 为 关闭
    enable: true
    #未签章pdf生成目录{sid}为队列对应数据id
    unSignaturePDF: /uploads/pdf/dianziqianzhang/temp/queueId_{sid}.pdf
    #已签章pdf存储路径
    signaturePDF: /uploads/pdf/dianziqianzhang/out/queueId_{sid}.pdf
    tempPDF: /uploads/pdf/dianziqianzhang/temp
    api: http://14.62.1.152:8190/kms/shared/convert/htmltopdf
    apiScan: http://14.62.1.152:8190/kms/shared/convert/scanSignature
    apiCopy: http://14.62.1.152:8190/kms/shared/convert/pdfCopy
    create_pdf_schedule: 0 0/5 * * * ?
    move_schedule: 0 0/3 * * * ?
    cgi_schedule: 0 0/3 * * * ?
    del_schedule: 0/30 * * * * ?
    change_schedule: 0 0 0/1 * * ?
    #业务中不同环境指定不同的server
    serverKey: qz_common
    #签章服务方接口地址
    cgiApi: http://61.185.253.254:9088/yesign/sign/signPdf
  screeninng:
    #是否开启背景筛查  true 为开启  false 为 关闭
    enable: true
    applicationId: __wGomeHJBz6CpLFCCl4y
    domainId: xduDIOSsi06qmfpig0A
    intervalDay: 5
    #公安内网  api 开启背景筛查必须填写此项  当地公安内网的地址
    api: http://14.62.1.152:8020/background/personnelReview?idNumber=
    #业务中不同环境指定不同的server
    serverKey: bsp_common
    schedule:
      timing: 0 */5 * * * ?
      induction: 0 */10 * * * ?
  authentication:
    applicationId: __wGomeHJBz6CpLFCCl4y
    #是否开启实名认证  true 为开启  false 为 关闭
    enable: true
    #公安内网api 开启背景筛查必须填写此项  当地公安内网的地址
    api: http://14.62.1.152:8020/peopleInfo/PersonnelAuth
    #业务中不同环境指定不同的server
    serverKey: auth_common
    #定时器每20分钟执行一次
    timing: 0 */20 * * * ?
  storage:
    root: /data/v5-runing/storage
  domain:
    url: http://14.62.1.152:8190/obpm
  synced:
    #公安内网出来的都需要走FTP摆渡服务代理
    proxied-targets:
      - http://14.62.1.152:8190/obpm
  supervise:
    region-id: 110000
    system-admin: shouldbedomainId
    src-app: http://14.62.1.152:8190/obpm
    target-app: http://v5qy.baibaodun.cn/obpm
    callback-url: http://14.62.1.152:8190/obpm/v2/sync/ftp/callback
    target-service-url: /v2/sync/ftp/data-import
  out:
    requset-dir-key: out-requset-dir-bj
spring:
  datasource:
    url: jdbc:mysql://172.31.0.26:3306/obpm2_security?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT&useSSL=false
    username: pre_prod
    password: pre-prod#202305
    driver-class-name: com.mysql.cj.jdbc.Driver
    #背景筛查数据源 （开启背景筛查也要配置这里） 筛查的数据的数据源地址，也就是当地公安数据库地址在这里配置  screen  当前配置的是北京的，换湖南背景筛查时，要换为湖南公安的内网数据库
    screen:
      jdbc-url: jdbc:mysql://172.31.0.26:3306/security_flow?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT&useSSL=false
      username: pre_prod
      password: pre-prod#202305
      driver-class-name: com.mysql.cj.jdbc.Driver
    baoan:
      driver-class-name: com.mysql.cj.jdbc.Driver
      url: jdbc:mysql://172.31.0.26:3306/security_flow?characterEncoding=UTF-8&serverTimezone=GMT
      username: pre_prod
      password: pre-prod#202305
      type: com.zaxxer.hikari.HikariDataSource
    type: com.zaxxer.hikari.HikariDataSource
#站点的图片前缀地址
site:
  resource:
    prefix: http://14.62.1.152:8190/obpm
saas:
  backend:
    defaultMax: 2000
    interval: 3600

db:
  organization:
    name: organizationAuth
file:
  mode:
    useFtp: true
    host: 14.16.176.2
    userName: basc
    password: zazd#32A13
    port: 21
    filePath:
scheduled:
  fixedDelay:
    sync:
      data:
        ftp: 1800000
        directly: 1200000
      file:
        ftp: 1800000
        directly: 1200000
      form: 1800000